
%define upstream_name    Net-Bluetooth
%define upstream_version 0.40

Name:       perl-%{upstream_name}
Version:     %{upstream_version}
Release:    %mkrel 12

Summary: Net::Bluetooth - Perl Bluetooth Interface
License: GPL+ or Artistic
Group:	Development/Perl
URL:	http://search.cpan.org/dist/%{upstream_name}
Source0: ftp://ftp.perl.org/pub/CPAN/modules/by-module/Net/Net-Bluetooth-%{upstream_version}.tar.xz
BuildRequires: libbluez-devel >= 4.57
BuildRequires: perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}

%description
Net::Bluetooth - Perl Bluetooth Interface
This module creates a Bluetooth interface for Perl.

%prep
%setup -q -n Net-Bluetooth-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorarch}/*
%{perl_vendorarch}/auto/Net/*
%dir %{perl_vendorarch}/auto/Net/Bluetooth
%{perl_vendorarch}/auto/Net/Bluetooth/*
%exclude %{_mandir}/man3/*


%changelog
* Mon Aug 26 2013 billybot <billybot> 0.40-12pclos2013
- rebuild for 2013

* Tue Jan 05 2010 Texstar <texstar at gmail.com> 0.40-11pclos2010
- rebuild for new bluez3

* Sun Sep 12 2009 pcserver <pcserver at hushmail.com> 0.40-10pclos2009
-update

